package com.huangx.dubbo.consumer;

import com.huangx.dubbo.service.HelloExtService;
import com.huangx.dubbo.service.HelloService;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import java.util.HashMap;
import java.util.Map;


/**
 * 加载 Spring 配置，启动 Dubbo 服务消费者
 */
public class Consumer2 {

	public static void main(String[] args) throws Exception {
		ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(new String[]{"dubbo-consumer.xml"});
		context.start();

		// 获取远程服务
		HelloExtService helloExtService = (HelloExtService)context.getBean("helloExtService");
		System.out.println(helloExtService.sayHello("Bill", "male", "bill@outklook.com"));
		System.out.println(helloExtService.sayHello("Bill", "female", "bill@gmail.com"));
		System.out.println(helloExtService.sayHello("Tom", "male", "tom@163.com"));
		System.out.println(helloExtService.sayHello("Helen", "male", "helen@sina.com.cn"));
	}

}
